package com.zxhyis.tools

import android.annotation.SuppressLint
import android.app.Application
import android.content.Context
import com.applovin.sdk.AppLovinSdk
import com.zxhyis.tools.ad.CommonOpenManager

class FileApp : Application() {

    private lateinit var openManager: CommonOpenManager
    companion object{

        @SuppressLint("StaticFieldLeak")
        @JvmStatic
        lateinit var fContext:Context

    }

    override fun onCreate() {
        super.onCreate()
        fContext=this
        sdkInit()
    }

    private fun sdkInit(){
        AppLovinSdk.getInstance(this).mediationProvider = "max"
        AppLovinSdk.getInstance(this).initializeSdk {
            openManager= CommonOpenManager("ca4adb9a9b98a0b8",applicationContext)
        }
    }

}